org.apache.lucene.benchmark.byTask.feeds

## Class SingleDocSource

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.feeds.ContentItemsSource
  - - org.apache.lucene.benchmark.byTask.feeds.ContentSource
    - - org.apache.lucene.benchmark.byTask.feeds.SingleDocSource

- All Implemented Interfaces:
    Closeable, AutoCloseable
  Direct Known Subclasses:
    SortableSingleDocSource

      public class SingleDocSource
      extends ContentSource

  Creates the same document each time `getNextDocData(DocData)` is called.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.benchmark.byTask.feeds.ContentItemsSource

      `encoding, forever, logStep, verbose`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingleDocSource()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Called when reading from this content source is no longer required.
    `DocData` | `getNextDocData(DocData docData)` Returns the next `DocData` from the content source.
    `void` | `resetInputs()` Resets the input for this content source, so that the test would behave as if it was just started, input-wise.

    - ### Methods inherited from class org.apache.lucene.benchmark.byTask.feeds.ContentItemsSource

      `addBytes, addItem, collectFiles, getBytesCount, getConfig, getItemsCount, getTotalBytesCount, getTotalItemsCount, printStatistics, setConfig, shouldLog`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleDocSource

          public SingleDocSource()

  - ### Method Detail

    - #### close

          public void close()
                     throws IOException

      Description copied from class: `ContentItemsSource`
      Called when reading from this content source is no longer required.
      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in class `ContentItemsSource`
      Throws:
        `IOException`

    - #### getNextDocData

          public DocData getNextDocData(DocData docData)
                                 throws NoMoreDataException

      Description copied from class: `ContentSource`
      Returns the next `DocData` from the content source. Implementations must account for multi-threading, as multiple threads can call this method simultaneously.
      Specified by:
        `getNextDocData` in class `ContentSource`
      Throws:
        `NoMoreDataException`

    - #### resetInputs

          public void resetInputs()
                           throws IOException

      Description copied from class: `ContentItemsSource`
      Resets the input for this content source, so that the test would behave as if it was just started, input-wise.

      NOTE: the default implementation resets the number of bytes and items generated since the last reset, so it's important to call super.resetInputs in case you override this method.

      Overrides:
        `resetInputs` in class `ContentItemsSource`
      Throws:
        `IOException`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.